commit:     4219665974cb833ab143033c4523dd4745326388
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 18 14:23:10 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 19:37:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42196659

dev-java/httpcomponents-core: Add missing dies.

Package-Manager: portage-2.2.26

 .../httpcomponents-core/httpcomponents-core-4.4.1-r1.ebuild  | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/dev-java/httpcomponents-core/httpcomponents-core-4.4.1-r1.ebuild 
b/dev-java/httpcomponents-core/httpcomponents-core-4.4.1-r1.ebuild
index 7cb42e6..5d32293 100644
--- a/dev-java/httpcomponents-core/httpcomponents-core-4.4.1-r1.ebuild
+++ b/dev-java/httpcomponents-core/httpcomponents-core-4.4.1-r1.ebuild
@@ -28,21 +28,23 @@ LICENSE="Apache-2.0"
 SLOT="4.4"
 KEYWORDS="amd64 x86"
 
-DEPEND=">=virtual/jdk-1.6
+RDEPEND=">=virtual/jre-1.6"
+
+DEPEND="
        test? (
                dev-java/commons-logging:0
                dev-java/ant-junit:0
                dev-java/mockito:0
-       )"
-RDEPEND=">=virtual/jre-1.6"
+       )
+       >=virtual/jdk-1.6"
 
 JAVA_ANT_REWRITE_CLASSPATH="yes"
 EANT_BUILD_TARGET="package"
 EANT_GENTOO_CLASSPATH_EXTRA="${S}/${HTTPCORE}/target/${HTTPCORE}-${PV}.jar"
 
 java_prepare() {
-       cp "${FILESDIR}"/${P}-${HTTPCORE}-build.xml ${HTTPCORE}/build.xml
-       cp "${FILESDIR}"/${P}-${HTTPNIO}-build.xml ${HTTPNIO}/build.xml
+       cp "${FILESDIR}"/${P}-${HTTPCORE}-build.xml ${HTTPCORE}/build.xml || die
+       cp "${FILESDIR}"/${P}-${HTTPNIO}-build.xml ${HTTPNIO}/build.xml || die
 
        # Why have these classes been deprecated although other libraries are 
built
        # on them (i.e. httpcomponents-client) is mindboggling. See bug 553234.

Reply via email to